export default {
  data() {
    return {
      tableLoading: true,
      totalCount: 0,
      page: 1,
      page_size: 20
    }
  },
  computed: {
    vheight() {
      return document.body.clientHeight - 280
    },
    // 是否有total_price字段
    hasTotalPrice() {
      const arrTableUrl = ['/v1/finance/coin/log', '/v1/finance/recharge/log', '/v1/finance/crash/log/list', '/v1/finance/diamond/log']
      return arrTableUrl.findIndex(item => item === this.tableUrl) > -1
    },
    isPC() {
      return this.$store.state.app.isPC
    }
  },
  methods: {
    async init() {
      Object.keys(this.searchForm).map(key => {
        if (this.searchForm[key] === '') {
          this.searchForm[key] = undefined
        }
      })
      if (this.tableUrl === '/v1/finance/apply/list') {
        this.isApplyAll = true
      }
      this.tableLoading = true
      const api = (/^\/v1/.test(this.tableUrl) ? '' : '/api/auth') + this.tableUrl
      const { code, data } = await this.$fetch(api, {
        page: this.page,
        page_size: this.page_size,
        ...this.searchForm
      }, 'get')
      this.tableLoading = false
      if (this.tableData && code === 200 && data && (Array.isArray(data) || Array.isArray(data.data) || Array.isArray(data.list))) {
        this.tableData = data.data || data.list || data
        this.totalCount = Number(data.total || data.count)
        if (this.hasTotalPrice) {
          this.total_price = data.total_price
        }
        if (this.tableUrl === '/v1/finance/apply/list' && this.searchForm.apply_status === 1 && this.tableData.length > 0) {
          this.isApplyAll = false
        }
      }
    },
    handleCurrentChange(page) {
      this.page = page
      this.init()
    },
    handleSizeChange(page_size) {
      this.page_size = page_size
      this.handleCurrentChange(1)
      //this.searchSubmit()
    },
    async searchSubmit() {
      this.page = 1
      await this.init()
    },
    searchReset(obj = {}) {
      Object.keys(this.searchForm).forEach(item => {
        this.searchForm[item] = undefined
      })
      Object.keys(obj).forEach(item => {
        this.searchForm[item] = obj[item]
      })
      this.searchSubmit()
    }
  }
}
